Subject: RE: [magma] IGMP router behavior during LMQT period,

From: 黄晓锋(Fergus Huang) <[email-masked]>
Date: Tue, 18 Sep 2007 18:36:51 +0800

Hi,
About question a, I agree to sandeep. It is not necessary for router to
distinguish the leaves if two hosts are connected to the same interface.

About question b, router should ignore the second leave during the LMQI.
This problem and section 8.14.1. in RFC 3376 are not same. The reason of 
increasing leave latency is that it take longer (LMQT=LMQC*LMQI, 
for LMQC(LV) increases) to stop traffic flowing.

Regards, 

Fergus Huang

>From: <[email-masked]>
>Subject: RE: [magma] IGMP router behavior during LMQT period
>To: <[email-masked]>,	<[email-masked]>
>Message-ID:
>	<[email-masked]>
>Content-Type: text/plain; charset="us-ascii"
>
>Hi,
> 
>If host tracking is not implemented on router it makes sense to reset
>the timers on reception of leave from H2. Since H2 showed its interest
>by sending a report to the Query, Router has to refresh the group timer
>and subsequent leave should be used to reset the timer to LMQT in
>Router. 
> 
>"But how can the router distinguish between leaves from 2 different
>hosts unless it is explicitly tracking hosts?"
>Why should Router distinguish between leaves from 2 different hosts
>(considering they are connected to same interface)? Router has to make a
>decision whether to forward the streams for the multicast group or not
>on that interface. Even if a host is leaving the group but some other
>host is interested then it needs to forward the streams.  
> 
>I too faced a similar if not exact problem. The issue was that the group
>timer was reset every time (until RV) the leave was received for a
>multicast group. This resulted in higher leave latency. Higher the RV
>value higher the leave latency. Resetting the timers only for first
>leave solves the problem, but should it be done that way, can anyone
>tell me? 
> 
>Does RFC 3376 section quoted below is referring to the same problem as I
>have faced or is it referring to something else? 
> 
>8.14.1. Robustness Variable
> 
>   The Robustness Variable tunes IGMP to expected losses on a link.
>   IGMPv3 is robust to (Robustness Variable - 1) packet losses, e.g., if
>   the Robustness Variable is set to the default value of 2, IGMPv3 is
>   robust to a single packet loss but may operate imperfectly if more
>   losses occur.  On lossy subnetworks, the Robustness Variable should
>   be increased to allow for the expected level of packet loss. However,
>   increasing the Robustness Variable increases the leave latency of the
>   subnetwork.  (The leave latency is the time between when the last
>   member stops listening to a source or group and when the traffic
>   stops flowing.)
> 
> 
>Regards,
>Sandeep.
> 

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---

From: "Princy Elizabeth" <[email-masked]>
Date: Wed, 19 Sep 2007 09:33:40 +0530

Thanks for the responses. I too agree that, 

a) On receiving the leave from the second host, H2 the grp timer should ideally be reset to LMQI again. 
As Sandeep said "If host tracking is not implemented on router it makes sense to reset the timers on reception of leave from H2. Since H2 showed its interest by sending a report to the Query, Router has to refresh the group timer and subsequent leave should be used to reset the timer to LMQT in Router." 
Which means that in case (a) we want to reset the timer.

But what if it is a repeat leave from the first host itself - 

b) Do we still reset the grp timer to LMQI? Won't this result in increase in leave latency by "(number of repeat leaves - 1) * LMQI"? Is that acceptable?
Fergus states in his mail "... router should ignore the second leave during the LMQI." 
Which means in case (b) we do not want to reset the timer.

The reason I was talking about the need to differentiate between the hosts was for distinguishing between (a) & (b) i.e leave from a new host and repeat leave from the previous host itself. Without doing so how do we ensure that for case (a) we reset the timer and for case (b) we do not?

Also, does the decision to reset the grp timer for cases (a) & (b) differ for the following two conditions:

i) No overriding join has been received from H2 before the repeat leave is received from H1 or first leave is received from H2
ii) An overriding join has been received from H2 before the repeat leave is received from H1 or first leave is received from H2

Thanks,
Princy

-----Original Message-----
From: 黄晓锋(Fergus Huang) [mailto:[email-masked]] 
Sent: Tuesday, September 18, 2007 4:07 PM
To: [email-masked]
Subject: RE: [magma] IGMP router behavior during LMQT period,

Hi,
About question a, I agree to sandeep. It is not necessary for router to distinguish the leaves if two hosts are connected to the same interface.

About question b, router should ignore the second leave during the LMQI.
This problem and section 8.14.1. in RFC 3376 are not same. The reason of increasing leave latency is that it take longer (LMQT=LMQC*LMQI, for LMQC(LV) increases) to stop traffic flowing.

Regards, 

Fergus Huang

>(considering they are connected to same interface)? Router has to make 
>a decision whether to forward the streams for the multicast group or 
>not on that interface. Even if a host is leaving the group but some 
>other host is interested then it needs to forward the streams.
> 
>I too faced a similar if not exact problem. The issue was that the 
>group timer was reset every time (until RV) the leave was received for 
>a multicast group. This resulted in higher leave latency. Higher the RV 
>Does RFC 3376 section quoted below is referring to the same problem as 
>I have faced or is it referring to something else?
>

---

From: <[email-masked]>
Date: Thu, 20 Sep 2007 09:20:50 +0530

Hi,

i) No overriding join has been received from H2 before the repeat leave is received from H1 or first leave is received from H2
	You don’t have to distinguish the leave here, the first leave can be used for setting the timers the other leave can be ignored as Fergus said.

ii) An overriding join has been received from H2 before the repeat leave is received from H1 or first leave is received from H2
	When H1 sends a leave message, Router would send a Group Specific Query for which H2 would reply with a report message. This report message from H2 tells that there is some other host other than H1 which will be the distinguishing factor. On reception of report message from H2 your timers will be set to ((robust * query interval) + Query resp time). If H2 sends a leave message the timers will be set to LMQT by Router. 

I still don’t see any reason why you should distinguish between hosts. If both the hosts are sending leave message at the same time you still can use the first leave received for setting timers and ignoring rest.

Regards,
Sandeep.

-----Original Message-----
From: Princy Elizabeth [mailto:[email-masked]] 
Sent: Wednesday, September 19, 2007 9:34 AM
To: [email-masked]
Subject: RE: [magma] IGMP router behavior during LMQT period,

Thanks,
Princy

-----Original Message-----
From: 黄晓锋(Fergus Huang) [mailto:[email-masked]] 
Sent: Tuesday, September 18, 2007 4:07 PM
To: [email-masked]
Subject: RE: [magma] IGMP router behavior during LMQT period,

Hi,

Regards, 

Fergus Huang

---

From: "FINE Mark" <[email-masked]>
Date: Fri, 28 Sep 2007 16:22:17 -0500

My understanding of 3376 is that the lowering of timers to LMQT is part of "Send Q(G)" / "Send Q(G,X)" Router Actions. The instructions provided in 6.6.3.1 / 6.6.3.2 are to (A) immediately send a query, (B) schedule [Last Member Query Count - 1] query retransmissions to be sent every [Last Member Query Interval] over [Last Member Query Time], and (C) lower the the group / source timer to LMQT. However, it is my belief that actions (A), (B), and (C) should only be performed for group / source timers larger than LMQT -- this is explicitly indicated in 6.6.3.2 ("source timers larger than LMQT"), but is not indicated in 6.6.3.1, which instead suggests that (A), (B), and (C) should always be performed, even if group timers are smaller than LMQT. I think the instructions in 6.6.3.2 to only perform actions (A), (B), and (C) if the group / source timers are larger than LMQT are a more accurate intention of the protocol's design WRT building and sending specific queries. Otherwise, as Sandeep indicates, you introduce leave latency and unnecessary specific query transmissions if you always perform actions (A), (B), and (C), even if the group timer is smaller than LMQT.

>From the examples below, if H1's leave arrives BEFORE H2's report, operations (A), (B), and (C) would not be performed since the group timer will be less than LMQT; if H1's leave arrives AFTER H2's report, operations (A), (B), and (B) would be performed since the group timer will be greater than LMQT (H2's report would have set the group to GMI).

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, September 19, 2007 8:51 PM
To: [email-masked]; [email-masked]
Subject: RE: [magma] IGMP router behavior during LMQT period,

Hi,

Regards,
Sandeep.

-----Original Message-----
From: Princy Elizabeth [mailto:[email-masked]]
Sent: Wednesday, September 19, 2007 9:34 AM
To: [email-masked]
Subject: RE: [magma] IGMP router behavior during LMQT period,

Thanks,
Princy

-----Original Message-----
From: 黄晓锋(Fergus Huang) [mailto:[email-masked]] 
Sent: Tuesday, September 18, 2007 4:07 PM
To: [email-masked]
Subject: RE: [magma] IGMP router behavior during LMQT period,

Hi,

Regards, 

Fergus Huang